Subject: Re: unique names

From: [email-masked] (Stephen R. van den Berg)
Date: Mon, 25 Jul 1994 19:45:00 +0200

Jonathan Rochkind <[email-masked]> wrote:
>If I get a mail message with a certain subject, I want to store it in a
>file with that subject as a name, plus a unique number appended onto
>the end so I don't get any collisions. I've managed to store it
>in a file with the subject as a name with sed, thanks to help
>from this list. But I'm not if there's a way to get this unique number
>from somewhere.

If you assign this desired filename to MSGPREFIX and then, as a destination
use a directory, then procmail will come up with a unique suffix every time.

To get regular numbers, there is no easy way.  You might want to look into
the MH folder format.

-- 
Sincerely,                                  [email-masked]
           Stephen R. van den Berg (AKA BuGless).

"Be spontaneous!"